%define name pachi
%define version 1.0
%define release %mkrel 1

Summary:        Pachi El Marciano - Platform Game
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Games/Arcade
License:        GPLv2+
URL:            http://dragontech.sourceforge.net/index.php?main=pachi&lang=en
Source0:        http://downloads.sourceforge.net/dragontech/pachi_source.tgz
Source1:        %{name}.desktop
Patch0:         %{name}-fixes.patch
Patch1:         %{name}-nosound.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  SDL_mixer-devel desktop-file-utils ImageMagick


%description
Pachi El Marciano is a cool 2D platform game inspired by the likes of
Manic Miner, Jet Set Willy, and more from the '80s.


%prep
%setup -q -n Pachi
%patch0 -p1 
%patch1 -p1 


%build
%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
mkdir -p $RPM_BUILD_ROOT%{_var}/games
mv $RPM_BUILD_ROOT%{_var}/lib/games/%{name}/data/scores.dat $RPM_BUILD_ROOT%{_var}/games/%{name}.hs
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-MoreApplications-Games-ArcadeGames" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 Tgfx/icon.bmp %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png
install -m 0644 Tgfx/icon.bmp %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png
install -m 0644 Tgfx/icon.bmp %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_miconsdir/%{name}.png
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%config(noreplace) %{_var}/games/%{name}.hs
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Tue Jul 14 2009 slick50 <lxgator@gmail.com> 1.0-1pclos2009
- initial pkg

